"""Constants used in ndscheduler library."""

#
# Execution status
#
EXECUTION_STATUS_SCHEDULED = 0
EXECUTION_STATUS_RUNNING = 1
EXECUTION_STATUS_STOPPING = 2
EXECUTION_STATUS_STOPPED = 3
EXECUTION_STATUS_FAILED = 4
EXECUTION_STATUS_SUCCEEDED = 5
EXECUTION_STATUS_TIMEOUT = 6
EXECUTION_STATUS_SCHEDULED_ERROR = 7

EXECUTION_STATUS_DICT = {
    EXECUTION_STATUS_SCHEDULED: 'scheduled',
    EXECUTION_STATUS_RUNNING: 'running',
    EXECUTION_STATUS_STOPPING: 'stopping',
    EXECUTION_STATUS_STOPPED: 'stopped',
    EXECUTION_STATUS_FAILED: 'failed',
    EXECUTION_STATUS_SUCCEEDED: 'succeeded',
    EXECUTION_STATUS_TIMEOUT: 'timeout',
    EXECUTION_STATUS_SCHEDULED_ERROR: 'scheduled error'
}

#
# Audit logs status
#
AUDIT_LOG_ADDED = 0
AUDIT_LOG_MODIFIED = 1
AUDIT_LOG_DELETED = 2
AUDIT_LOG_PAUSED = 3
AUDIT_LOG_RESUMED = 4
AUDIT_LOG_CUSTOM_RUN = 5

AUDIT_LOG_DICT = {
    AUDIT_LOG_ADDED: 'added',
    AUDIT_LOG_MODIFIED: 'modified',
    AUDIT_LOG_DELETED: 'deleted',
    AUDIT_LOG_PAUSED: 'paused',
    AUDIT_LOG_RESUMED: 'resumed',
    AUDIT_LOG_CUSTOM_RUN: 'custom_run'
}
